/*
//  File env.h
//
//  September 3 1992 - September 1996
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1996.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _ENV_H_
#define _ENV_H_

/* This file contains machine or system dependant information.   */
/*****************************************************************/

# define mdlVers "4.5.4"                                /* Version of mdlc */
# define copyrightStr "copyright Supelec 1992-1996"
#ifdef macintosh                                        /* On the Macintosh with MPW C++ */
  static char dirSep = ':';                             /* Directory separator is ':' on the Macintosh */
  static char hFileTemplate[] = "%s%s.h";               /* Name of output interface file = <dirName><baseName>.h */
  static char cFileTemplate[] = "%s%s.cp";              /* Name of output C++ file = <dirName><baseName>.cp */
  static char mdfFileTemplate[] = "%s%s.mdf";           /* Name of output mdf file = <dirName><baseName>.mdf */
  static char includeEsterel[] = "<libSync.h>";         /* Include file for library interface */
  static char cxxInstanciate[] = "";                    /* DEC cxx instanciation file */
  static char defaultIncPath[] = ""                     /* Default include path */
#else                                                   /* On Unix mips machines with DEC or ATT C++ */
  static char dirSep = '/';                             /* Directory separator is '/' for Unix */
  static char hFileTemplate[] = "%s%s.H";               /* Name of output interface file = <dirName><baseName>.H */
  static char cFileTemplate[] = "%s%s.C";               /* Name of output C++ file = <dirName><baseName>.C */
  static char mdfFileTemplate[] = "%s%s.mdf";           /* Name of output mdf file = <dirName><baseName>.mdf */
  static char includeEsterel[] = "<Esterel/libSync.H>"; /* Synchronous library interface */
  static char cxxInstanciate[] = "<Esterel/CxxInstanciate.H>"; /* DEC cxx instanciation file */
  static char defaultIncPath[] = "/usr/local/include/Esterel"; /* Default include path */
#endif

#endif

