/*
//  File mdl.h
//
//  September 3 1992 - February 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _MDL_H_
#define _MDL_H_

/* This file contains the interface of mdl.c (deals with parameters).  */
/***********************************************************************/

extern char hFileName[256];       /* Name of interface output file */
extern char cFileName[256];       /* Name of C++ output file */
extern char mdfFileName[256];     /* Name of mdf output file */
extern char baseName[256];        /* Basename of output files */
extern char mdfBaseName[256];     /* Basename of mdf output file */
extern char *sourceFile;          /* Name of source file */
extern char *optIncludeEsterel;   /* Esterel Include file given by -inc */
extern char *optCxxInstanciate;   /* cxx instanciation file given by -cxxinst */

extern int verbose;               /* Verbose flag */
extern int allowDebug;            /* Stuff C++ code with conditional debug code */
extern int forceReaction;         /* Force reaction of unused modules for side-effects */

#endif
