/*
//  File mdlCxx.h
//
//  September 3 1992 - December 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _MDLCXX_H_
#define _MDLCXX_H_

#include "env.h"
#include "mdlParseTypes.h"

typedef struct {
  int modNum;
  int sigNum;
  int deps;
  int mark;
} pSig;

typedef struct {
  atype* theType;
  int typeMod;
  char* name;
  char* litArgs;
} pSubMod;

typedef struct pMod {
  modType kind;
  atype* name;
  atype* super;
  int superMod;
  char* source;
  char* oc;
  char* cpp;
  struct paramList *params;
  atype *argsToConst;
  int nbInputs;
  sig** inputs;
  int nbOutputs;
  sig** outputs;
  int nbSubModules;
  pSubMod* modules;
  int nbConnect;
  connect** connections;
  int nbEquiv;
  connect** sigEquiv;
  int nbNoDep;
  char** noDeps;
  int reactSteps;
} pMod;

typedef struct bMod {
  pSig* inputs;
  pSig* outputs;
  int rStep;
  int mark;
  struct bMod* subSigs;
} bMod;

extern int builtModule;
extern pMod* moduleTab;
extern int nbModules;
extern bMod* linkedModule;

void buildHModule();
void buildCModule();
int buildModuleTable();
void linkModule();

#endif
