/*
//  File mdlErrors.h
//
//  September 3 1992 - January 21 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _MDLERRORS_H_
#define _MDLERRORS_H_

/* This file contains the interface of mdlErrors.c               */
/*****************************************************************/

extern char tmpStr[256];     /* Utility buffer for error messages */

int yyerror(char *s);        /* Yacc error handling routine */
void usageError(char *msg);  /* Error in parameter list */
void fileError(char *msg);   /* I/O error */
void fatalError(char *msg);  /* Unqualified fatal error */
void mdfError(char *msg);    /* Inconsistency in mdl source file */
void intError(char *msg);    /* Internal fatal error, should never happen. */
void mdfWarn(char* msg);     /* Warning */
void mdfLog(char* msg);      /* Message logging */

#endif
