/*
//  File mdlParse.h
//
//  September 3 1992 - January 21 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _MDLPARSE_H_
#define _MDLPARSE_H_

/* This file contains shared references between lex, yacc and main.*/
/*******************************************************************/


extern int yyparse();      /* Yacc parse function */
extern int yydebug;        /* Yacc debug flag */
extern FILE *yyin;         /* Lex input file */
extern int lineNb;         /* Number of current line in syntax analyser */
extern int yylex();        /* Lex lexical analyse function */
extern void reinitlex();   /* Restart lex from scratch */

#ifndef __GNUC__
#if defined(__cplusplus) || defined(c_plusplus)
extern "C" char *alloca(int);  /* Stack allocation function for yacc */
#else
extern char *alloca(int);  /* Stack allocation function for yacc */
#endif
#endif

#ifdef FLEX
extern char* yytext;       /* Last token read from source (for flex) */
#else
extern char yytext[];      /* Last token read from source (for lex) */
#endif

extern char *sourceFile;   /* Name of oc source file (in occxx.c) */

#ifdef macintosh
#if defined(__cplusplus) || defined(c_plusplus)
extern "C" void BLOCKMOVE(char *from, char *to, size_t length);
#else
extern void BLOCKMOVE(char *from, char *to, size_t length);
#endif
  /* Function used by bison on the Macintosh. Seen only in ROM maps and Interface.o */
#endif

#endif
