/*
//  File mdlTables.h
//
//  September 3 1992 - December 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _MDLTABLES_H_
#define _MDLTABLES_H_

#include "mdlParseTypes.h"

extern parsedList *parsedModules;
extern typdefList *theTypdefs;
extern nameList *HInsertData;
extern nameList *CInsertData;
extern nameList *useList;

void declareModule(module *newModule);
void printLastModule();
void printModule(module *newModule);
module *newModule(modType theType, atype* name, atype *argsToConst, atype* super, declList* body);
declList *addDecl(declList* list, decl *newNode);
sigList *addSig(sigList *list, sig *newSig);
sig *newSignal(sigType theKind, atype *theType, char* owner, char *name);
paramList *addParam(paramList *list, param *newParam);
param *newParam(atype *theType, char *name);
modList *addModule(modList *list, subModInst* newModule);
subModInst* newSubModInst(char *name, char *litArgs);
connect *newConnect(sig *from, sig *to);
subMod *newSubModules(atype *theType, modList *theMods);
decl *newInpDecl(sigList* body);
decl *newOutpDecl(sigList* body);
decl *newSubModDecl(subMod* body);
decl *newConnDecl(connect* body);
decl *newEquivDecl(connect* body);
decl *newNoDepDecl(nameList *noDepSigs);
nameList *addName(nameList *list, char *name);
atype *newType(char *name, typeList *parms);
atype *buildTypeFromLiteral(char *literal);
typeList *addType(typeList* list, atype *typ);
void declareTypdef(atype *newType, atype *oldType);
void declareTypequ(atype *newType, atype *oldType);
void HInsert(nameList* h);
void CInsert(nameList* h);
void declareUse(char *usename);

#endif
