/*
//  File mdlUtils.h
//
//  September 3 1992 - January 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91192 Gif sur Yvette cedex
//  France
//
//  This file is part of the Module Description Language Compiler source set
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
// Redistribution and use are permitted provided that:
//   - distributions including source files retain this entire copyright 
//     notice and comment,
//   - distributions including binaries display the following acknowledgment: 
//     "This product includes software developed by Supelec and its contributors" 
//     in the documentation or other materials provided with the distribution and 
//     in all advertising material mentioning features or use of this software. 
// 
//  
//   THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
//   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
//   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)
//          Ecole Superieure d Electricite - Service Informatique
//          Plateau de Moulon - 91192 Gif sur Yvette cedex
//          France
//
*/

#ifndef _MDLUTILS_H_
#define _MDLUTILS_H_

/* This file contains the interface of mdlUtils.c .              */
/*****************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include "mdlParseTypes.h"

char *checkAlloc(size_t nItems, size_t itemSize);/* Allocates storage for nItems of size itemSize, and checks for success */
char *fileName(char *fullFileName);              /* Yields a pointer to the file name part of a full access path name */
char *dateAndTime();                             /* Returns a string in the form '<Date> at <Time>' */
char *NameOfType(atype* theType);                /* Yields the full name of a type */
int cmpRawTypes(atype *typ1, atype *typ2);       /* Compare two types without resolving typedefs (returns 0 if equal) */
int compareTypes(atype *typ1, atype *typ2);      /* Compare two types (returns 0 if equal) */
int compareTypeNames(char *typ1, char *typ2);    /* Compare two type names (returns 0 if same type) */
int compatTypes(atype *typ1, atype *typ2);       /* Tells if two types are compatible */
atype* findTypdef(atype *typ);                   /* Looks for a typedef and return the equivalent type or 0 */
atype* resolveTypdef(atype *typ);                /* Yields the terminal type corresponding to a type when all typedef are applied */
char* resolveTemplate(atype *typ, atype *context, atype *contdef);
                                                 /* Find name of 'typ' in the context of type 'context' defined in 'contdef' */
void printTemplate(FILE* f, typeList *params);   /* Prints a C++ template definition from a type list */

#endif
